Package ghidra.app.cmd.disassemble

# Class SetFlowOverrideCmd

java.lang.Object
ghidra.framework.cmd.BackgroundCommand<Program>
ghidra.app.cmd.disassemble.SetFlowOverrideCmd

All Implemented Interfaces:
  `Command<Program>`

public class SetFlowOverrideCmd extends BackgroundCommand<Program>
Command for setting the fallthrough property on an instruction.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SetFlowOverrideCmd(Address instAddr, FlowOverride flowOverride)`
  Constructs a new command for overriding the flow semantics of an instruction.
  `SetFlowOverrideCmd(AddressSetView set, FlowOverride flowOverride)`
  Constructs a new command for overriding the flow semantics of all instructions within the address set.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `applyTo(Program program, TaskMonitor monitor)`
  Method called when this command is to apply changes to the given domain object.

  ### Methods inherited from class ghidra.framework.cmd.BackgroundCommand

  `applyTo, canCancel, dispose, getName, getStatusMsg, hasProgress, isModal, run, setStatusMsg, taskCompleted, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SetFlowOverrideCmd

    public SetFlowOverrideCmd(Address instAddr, FlowOverride flowOverride)
    Constructs a new command for overriding the flow semantics of an instruction.
    Parameters:
      `instAddr` - the address of the instruction whose flow override is to be set.
      `flowOverride` - the type of flow override.

  - ### SetFlowOverrideCmd

    public SetFlowOverrideCmd(AddressSetView set, FlowOverride flowOverride)
    Constructs a new command for overriding the flow semantics of all instructions within the address set.
    Parameters:
      `set` - the address set of the instructions whose flow override is to be set.
      `flowOverride` - the type of flow override.

- ## Method Details

  - ### applyTo

    public boolean applyTo(Program program, TaskMonitor monitor)
    Description copied from class: `BackgroundCommand`
    Method called when this command is to apply changes to the given domain object. A monitor is provided to display status information about the command as it executes in the background.
    Specified by:
      `applyTo` in class `BackgroundCommand<Program>`
    Parameters:
      `program` - domain object that will be affected by the command
      `monitor` - monitor to show progress of the command
    Returns:
      true if the command applied successfully